epp_PollReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0604.epp_PollReq class

### org.openrtk.idl.epp0604

# Class epp_PollReq

- `java.lang.Object`
- - `org.openrtk.idl.epp0604.epp_PollReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_PollReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to discover and retrieve client service messages from the EPP server $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0604/epp_PollReq.java,v 1.2 2003/09/10 21:29:57 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:57 $

See Also:
  `EPPPoll`, `epp_PollRsp`

  ## Field Summary
  `epp_Command` | `m_cmd` The common and generic command element.
  `String` | `m_msgID` The response message id from the EPP server.
  `epp_PollOpType` | `m_op` The poll operation type.

  ## Constructor Summary
  `epp_PollReq()` Empty constructor
  `epp_PollReq(epp_Command _m_cmd, epp_PollOpType _m_op, String _m_msgID)` The constructor with initializing variables.

  ## Method Summary
  `epp_Command` | `getCmd()` Accessor method for the common and generic command element
  `String` | `getMsgID()` Accessor method for the response message id from the EPP server
  `epp_PollOpType` | `getOp()` Accessor method for the poll operation type
  `void` | `setCmd(epp_Command value)` Accessor method for the common and generic command element
  `void` | `setMsgID(String value)` Accessor method for the response message id from the EPP server
  `void` | `setOp(epp_PollOpType value)` Accessor method for the poll operation type
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_cmd

    public epp_Command m_cmd

> The common and generic command element.
> See Also:
>   `setCmd(epp_Command)`, `getCmd()`

### m_msgID

    public String m_msgID

> The response message id from the EPP server.
> See Also:
>   `setMsgID(String)`, `getMsgID()`

### m_op

    public epp_PollOpType m_op

> The poll operation type.
> See Also:
>   `setOp(epp_PollOpType)`, `getOp()`

## Constructor Details

### epp_PollReq

    public epp_PollReq()

> Empty constructor

### epp_PollReq

    public epp_PollReq(epp_Command _m_cmd,
                       epp_PollOpType _m_op,
                       String _m_msgID)

> The constructor with initializing variables.
> Parameters:
>   `_m_cmd` - The common and generic command element
>   `_m_op` - The poll operation type
>   `_m_msgID` - The response message id from the EPP server

## Method Details

### getCmd

    public epp_Command getCmd()

> Accessor method for the common and generic command element
> Returns:
>   The command element
> See Also:
>   `m_cmd`

### getMsgID

    public String getMsgID()

> Accessor method for the response message id from the EPP server
> Returns:
>   The response message id
> See Also:
>   `m_msgID`

### getOp

    public epp_PollOpType getOp()

> Accessor method for the poll operation type
> Returns:
>   The poll operation type
> See Also:
>   `m_op`

### setCmd

    public void setCmd(epp_Command value)

> Accessor method for the common and generic command element
> Parameters:
>   `value` - The command element
> See Also:
>   `m_cmd`

### setMsgID

    public void setMsgID(String value)

> Accessor method for the response message id from the EPP server
> Parameters:
>   `value` - The response message id
> See Also:
>   `m_msgID`

### setOp

    public void setOp(epp_PollOpType value)

> Accessor method for the poll operation type
> Parameters:
>   `value` - The poll operation type
> See Also:
>   `m_op`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS